{% extends 'public/_public.layout.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block content %}
  <main class="fr-pt-md-14v" role="main" id="content">
    <div class="fr-container fr-container--fluid fr-mb-md-14v">
      <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
        <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
          <div class="fr-container fr-background-default--grey fr-px-md-0 fr-py-10v fr-py-md-14v">
            <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
              <div class="fr-col-12 fr-col-md-9 fr-col-lg-8">
                <h2>Connexion à Agents en intervention</h2>

                {% if error %}
                  <div class="fr-alert fr-alert--error">
                    <h3 class="fr-alert__title">Erreur survenue lors de la connexion</h3>
                    <p>{{ error.messageKey|trans(error.messageData, 'security') }}</p>
                  </div>
                {% endif %}

                {% if app.user %}
                  <div class="mb-3">
                    Vous êtes authentifié en tant que {{ app.user.userIdentifier }}, <a
                      href="{{ path('app_logout') }}">Me
                      déconnecter</a>
                  </div>
                {% endif %}

                <h3>Se connecter avec son compte</h3>

                <form method="post">
                  <label class="fr-label" for="username">Identifiant</label>
                  <input type="text" value="{{ last_username }}" name="_username" id="username"
                         class="form-control fr-input"
                         autocomplete="username" required autofocus>
                  <label class="fr-label" for="password">Mot de passe</label>
                  <input type="password" name="_password" id="password" class="form-control fr-input"
                         autocomplete="current-password"
                         required
                    {{ stimulus_controller('symfony/ux-toggle-password/toggle-password', {
                      visibleLabel: 'Afficher',
                      hiddenLabel: 'Cacher',
                      buttonClasses: ['toggle-password-button'],
                    }) }}
                  >

                  <input type="hidden" name="_csrf_token"
                         value="{{ csrf_token('authenticate') }}"
                  >

                  <div class="fr-fieldset__element">
                    <div class="fr-checkbox-group">
                      <input name="_remember_me" id="_remember_me" type="checkbox"
                             aria-describedby="se rappeler de moi">
                      <label class="fr-label" for="_remember_me">
                        Se rappeler de moi
                      </label>
                      <div class="fr-messages-group" id="checkboxes-1-messages"
                           aria-live="assertive">
                      </div>
                    </div>
                  </div>

                  <button class="fr-btn fr-btn--wide" type="submit">
                    Se connecter
                  </button>
                </form>

                <div class="separator fr-mt-4w">ou</div>

                <h3>Se connecter avec un compte ProConnect</h3>

                <p class="fr-text--sm fr-mb-3w">
                  Pour accéder à la plateforme, vous pouvez vous identifier via
                  ProConnect à l’aide du bouton ci-dessous.<br />
                  L’inscription ProConnect ne prend que quelques minutes.
                </p>

                <div class="fr-connect-group fr-mb-6v">
                  <a href="{{ path('app_security_pro_connect_start') }}" class="fr-connect">
                    <span class="fr-connect__login">S’identifier avec</span>
                    <span class="fr-connect__brand">ProConnect</span>
                  </a>
                  <p>
                    <a
                      href="https://www.proconnect.gouv.fr"
                      target="_blank"
                      rel="noopener"
                      title="Qu’est-ce que ProConnect - nouvelle fenêtre"
                    >Qu’est-ce que ProConnect ?</a
                    >
                  </p>
                </div>

                <hr />

                <h3>Vous n'avez pas de compte</h3>

                <a
                  class="fr-btn fr-btn--secondary fr-btn--wide"
                  href="{{ path('app_signup') }}"
                >
                  Inscrire ma collectivité
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
{% endblock %}
